package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻表月份]
 */
@Component("ionicdemo_TSMonthCodeList")
public class TSMonthCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSMonth");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("1");
		item0.setId("1");
		item0.setText("一月");
		item0.setLabel("一月");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("2");
		item1.setId("2");
		item1.setText("二月");
		item1.setLabel("二月");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("2",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("3");
		item2.setId("3");
		item2.setText("三月");
		item2.setLabel("三月");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("3",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("4");
		item3.setId("4");
		item3.setText("四月");
		item3.setLabel("四月");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("4",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("5");
		item4.setId("5");
		item4.setText("五月");
		item4.setLabel("五月");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("5",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("6");
		item5.setId("6");
		item5.setText("六月");
		item5.setLabel("六月");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("6",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("7");
		item6.setId("7");
		item6.setText("七月");
		item6.setLabel("七月");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("7",item6);
		CodeItem item7 = new CodeItem();
		item7.setValue("8");
		item7.setId("8");
		item7.setText("八月");
		item7.setLabel("八月");
		codeItemList.add(item7);
		codeList.getCodeItemModelMap().put("8",item7);
		CodeItem item8 = new CodeItem();
		item8.setValue("9");
		item8.setId("9");
		item8.setText("九月");
		item8.setLabel("九月");
		codeItemList.add(item8);
		codeList.getCodeItemModelMap().put("9",item8);
		CodeItem item9 = new CodeItem();
		item9.setValue("10");
		item9.setId("10");
		item9.setText("十月");
		item9.setLabel("十月");
		codeItemList.add(item9);
		codeList.getCodeItemModelMap().put("10",item9);
		CodeItem item10 = new CodeItem();
		item10.setValue("11");
		item10.setId("11");
		item10.setText("十一月");
		item10.setLabel("十一月");
		codeItemList.add(item10);
		codeList.getCodeItemModelMap().put("11",item10);
		CodeItem item11 = new CodeItem();
		item11.setValue("12");
		item11.setId("12");
		item11.setText("十二月");
		item11.setLabel("十二月");
		codeItemList.add(item11);
		codeList.getCodeItemModelMap().put("12",item11);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}